<?php

final class SemiStructuredInstanceEditConduitAPIMethod
  extends PhabricatorEditEngineAPIMethod {

  public function getAPIMethodName() {
    return 'semistructured.instance.edit';
  }

  public function newEditEngine() {
    return new SemiStructuredObjectInstanceEditEngine();
  }

  public function getMethodSummary() {
    return pht(
      'Apply transactions to create or edit Object Instances.');
  }

}
